/* =========================
   GALLERY (DESKTOP)
========================= */

.gallery {
  width: 100%;
  height: 100vh;
  position: relative;
  overflow: hidden;
  padding: 0 0 7rem 0;
  
}

.gallery .container {
  width: 100%;
  height: 100%;
  max-width: none; /* remove limitação */
  padding: 0;
  
}

/* SLIDER */
.gallery-slider {
  position: relative;
  width: 100%;
  height: 100%;

}

/* TRACK (onde ficam as imagens) */
.gallery-track {
  display: flex;
  height: 100%;
  transition: transform 0.5s ease;
}


/* IMAGENS */

.gallery-track picture {
  min-width: 100%;
  height: 100%;
  display: block;
}

.gallery-track picture img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* SETAS */
.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);

  z-index: 2;

  background: none;
  border: none;
  cursor: pointer;

  width: 60px;
  height: 60px;

  display: flex;
  align-items: center;
  justify-content: center;
}

/* posição */
.arrow--left {
  left: 2rem;
}

.arrow--right {
  right: 2rem;
}

/* SVG */
.arrow svg {
  width: 24px;
  height: 40px;
  fill: var(--color-text-dark);
}

/* =========================
   GALLERY MOBILE
========================= */

@media (max-width: 700px) {

  .gallery {
    height: 50svh; 
    padding: 0 0 4rem 0;
  }

  .gallery-slider {
    height: 100%;
  }

  .gallery-track {
    height: 100%;
  }

  /* IMAGENS */
  .gallery-track picture {
    width: 100%;
    height: 100%;
  }

  .gallery-track picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  /* SETAS (menores e mais leves) */
  .arrow {
    width: 40px;
    height: 40px;

  }

  .arrow svg {
    width: 18px;
    height: 28px;
  }

  /* MAIS PRÓXIMO DA BORDA */
  .arrow--left {
    left: 1rem;
  }

  .arrow--right {
    right: 1rem;
  }

}